Announcing the winners & finalists of the Dataiku Frontrunner Awards 2021! Read their inspiring stories

Can't install imbalanced-learn on jupyter notebook

omar21
Level 1
Can't install imbalanced-learn on jupyter notebook

Hello , I can't install a lot of python libraries like imbalanced learn , pandas-profiling and sweetViz on dataiku jupyter notebook 

what is the solution 

 

 

0 Kudos
1 Reply
sergeyd
Dataiker
Dataiker

Hi @omar21 

Please note that we don't recommend installing packages from notebooks or code recipes. Please use code envs directly instead: https://doc.dataiku.com/dss/latest/code-envs/operations-python.html

While looking into the exception, you are installing this package from the internal repo: https://udd.production.local. 

You should have specified this as "--extra-index-url" param. Can you add "--trusted-host" as well? This should allow the connection even if SSL certificate is not valid.  

 

0 Kudos
A banner prompting to get Dataiku DSS